function fetch_related_images(empId, id, rowspan, getClaimStatus, LoggeduserDepartment) {
    var Calculateid = id.replace(empId, ""); // trim id to get index eg:"180121"=>(18012:empid,1:index)
    //console.log("Calculateid"+Calculateid+ " id"+id+" empId"+empId);
    var selectedDate = $("#date" + id).html();
    console.log("rowspan" + rowspan + "selectedDate" + selectedDate + "Calculateid" + Calculateid + " id" + id + " empId" + empId, getClaimStatus, LoggeduserDepartment);


    $.ajax({

        url: "../php/fetchImageDetails.php",
        method: "POST",
        dataType: "JSON",
        data: {
            empId: empId,
            selectedDate: selectedDate
        },
        success: function (data) {
            var len = data.length;
            if (len == "0") {

                var td_image_Not_found =
                    "<div class='m-auto p-2'><p style='color:red'>Images Not Found</p></div>";
                if (rowspan != 1) {
                    var resultImageTableId = parseInt(Calculateid) + ((rowspan - 1) / 2);
                    console.log("resultImageTableId " + resultImageTableId); //return only index
                    $('#tabledataDiv' + empId + resultImageTableId).append(td_image_Not_found);
                    $('#tabledataDiv' + empId + resultImageTableId).parent().css("border-top","1px solid #dee2e6");
                } else {
                    $('#tabledataDiv' + id).append(td_image_Not_found);

                    $('#tabledataDiv' + id).parent().css("border-top","1px solid #dee2e6");
                }

            } else {

                var imgurl, billTitle, amount;
                for (var j = 0; j < len; j++) {

                    imgurl = "http://www.principleacs.net/PACS_FieldTravelAllowance_RestApi/public/up/"+data[j].imageUrl;
                    billTitle = data[j].billTitle;
                    amount = data[j].amount;
                    //alert("LoggeduserDepartment" + LoggeduserDepartment + "getClaimStatus=" + getClaimStatus);
                    if ((LoggeduserDepartment == "TL" && getClaimStatus == "1") || (LoggeduserDepartment == "Finance" && getClaimStatus == "2")) {
                         td_image =
                        "<div class='img-zoom-container m-3 p-3 bg-white position-relative' style='box-shadow:1px 0px 16px 2px #7d7d7d38;'>" +
                        "<img class='imagehover' id=myimage" + empId + selectedDate + j + " src=" + imgurl + ">" +
                        "<p id=billTitle" + empId + selectedDate + j + " class='mt-1 BillTitle font-weight-normal'><b>Bill Title : </b>" + billTitle + "</p>" +
                        "<p id=amount" + empId + selectedDate + j + ">Amount : <input type='number' value=" + amount + " class='w-50 billsInputField' data-date=" + empId + selectedDate + "  disabled/></p>" +
                        "<button id=editbtn" + empId + selectedDate + j + " class='imgProfbtns Edit mt-2' data-id=" + empId + selectedDate + j + ">Edit</button>" +
                        "<button id=submitbtn" + empId + selectedDate + j + " class='imgProfbtns Submit mt-2' data-id=" + empId + selectedDate + j + " style='display:none'>Submit</button>" +
                        "</div>";
                    } else {
                         td_image =
                        "<div class='img-zoom-container m-3 p-3 bg-white position-relative' style='box-shadow:1px 0px 16px 2px #7d7d7d38;'>" +
                        "<img class='imagehover' id=myimage" + empId + selectedDate + j + " src=" + imgurl + ">" +
                        "<p id=billTitle" + empId + selectedDate + j + " class='mt-1 BillTitle font-weight-normal'><b>Bill Title : </b>" + billTitle + "</p>" +
                        "<p id=amount" + empId + selectedDate + j + ">Amount : <input type='number' value=" + amount + " class='w-50 billsInputField' data-date=" + empId + selectedDate + "  disabled/></p></div>";
                    }



                    if (rowspan != 1) {
                        var resultImageTableId = parseInt(Calculateid) + ((rowspan - 1) / 2);
                        // console.log("total=" + resultImageTableId + " id=" + id + " rowsapn=" + rowspan);
                        $('#tabledataDiv' + empId + resultImageTableId).append(td_image);
                        $('#tabledataDiv' + empId + resultImageTableId).css({
                            "overflow": "scroll",
                            "padding-  top": "20px"
                        });
                        $('#tabledataDiv' + empId + resultImageTableId).parent().css("border-top","1px solid #dee2e6");
                    } else {

                        $('#tabledataDiv' + id).append(td_image);
                        $('#tabledataDiv' + id).css({
                            "overflow": "scroll",
                            "padding-  top": "20px"
                        });

                    $('#tabledataDiv' + id).parent().css("border-top","1px solid #dee2e6");
                    }



                }




            }
            $(".imgProfbtns.Edit").click(function () {
                $(this).hide();
                var presentdataId = $(this).attr("data-id");
                $("#amount" + presentdataId + ' input').removeAttr("disabled");
                $("#amount" + presentdataId + ' input').focus();;
                $("#submitbtn" + presentdataId).show();
            });
            $(".imgProfbtns.Submit").click(function () {
                //calculating the all bill amount after changing one bill amount
                var sum_of_bills = 0;
                $("input[data-date=" + empId + selectedDate + "].billsInputField").each(function () {
                    sum_of_bills += Number($(this).val());

                });
                var selectedDateBill = $("#hotel" + id).html();
                var selectedDateTotal = $("#total" + id).html();
                var selectedDateUpdatedBill = sum_of_bills.toFixed(2); //   fix float value up to 2 digits


                var FTA_And_DaAmount = Number(selectedDateTotal) - Number(selectedDateBill); //    FINAL-BILL = FTA+DA_AMOUNT;
                var selectedDateUpdatedTotal = Number(FTA_And_DaAmount) + Number(selectedDateUpdatedBill);
                //alert("selectedDateUpdatedTotal"+selectedDateUpdatedTotal);
                /*process done*/

                //        FINAL = FTA+DA_AMOUNT+BILL;
                //        FINAL-BILL = FTA+DA_AMOUNT;
                //        FINAL = FTA+DA_AMOUNT+ UP_BILLS

                var $this = $(this);
                var presentdataId = $this.attr("data-id");
                var updatedAmount = $("#amount" + presentdataId + ' input').val();
                var imageurl = $("#myimage" + presentdataId).attr("src");
                console.log("selectedDateTotal= " + selectedDateTotal + " selectedDateUpdatedBill=" + selectedDateUpdatedBill);

                $.ajax({

                    url: "php/updateBillAmount.php",
                    method: "POST",
                    dataType: "JSON",
                    data: {
                        billProofAmount: updatedAmount,
                        imageurl: imageurl,
                        empId: empId,
                        selectedDate: selectedDate,
                        sumOfBills: selectedDateUpdatedBill,
                        finalTotalAmount: selectedDateUpdatedTotal
                    },
                    success: function (data) {


                        // console.log(data[0].bills);
                        if (data != "UNABLE TO UPDATE") {
                            $this.hide(); //submit button hide after successfull update
                            $("#editbtn" + presentdataId).show();
                            $("#amount" + presentdataId + ' input').attr("disabled", "disabled");
                            var hotel = data[0].bills; //updating hotel->bills in UI
                            var total = data[0].total;
                            $("#hotel" + id).html(hotel);
                            $("#total" + id).html(total);
                            console.log("#total" + id + "  " + total);
                            console.log("#hotel" + id + "  " + hotel);




                            //alert('successfully posted key1=value1&key2=value2 to foo.php');
                            //                    SELECT SUM(Quantity) AS TotalItemsOrdered FROM OrderDetails;
                        }
                    }
                });
            });

            /*$("td").mouseover(function () {
                $("#myresult").css("visibility", "hidden");
            });*/

            $(".imagehover").mouseover(function () {
                //alert("dsk");
                var imgID = $(this).attr("id");

                imageZoom(imgID, "myresult");

                $("#myresult").css("visibility", "visible"); // show the result div for image zoom preview

            });

            $(".img-zoom-container").hover(function () {

            }, function () {
                $(".img-zoom-lens").remove();
                $("#myresult").css("visibility", "hidden"); // hide the result div for image zoom preview
            });


            var img, lens, result, cx, cy;

            function imageZoom(imgID, resultID) {
                img = document.getElementById(imgID);
                result = document.getElementById(resultID);
                /*create lens:*/
                var alreadyLensPresent = document.getElementsByClassName("img-zoom-lens")[0];
                if (!alreadyLensPresent) {
                    lens = document.createElement("DIV");
                    lens.setAttribute("class", "img-zoom-lens");
                    /*insert lens:*/
                    img.parentElement.insertBefore(lens, img);
                }

                /*calculate the ratio between result DIV and lens:*/
                cx = result.offsetWidth / lens.offsetWidth;
                cy = result.offsetHeight / lens.offsetHeight;
                /*set background properties for the result DIV:*/
                result.style.backgroundImage = "url('" + img.src + "')";
                result.style.backgroundSize = (img.width * cx) + "px " + (img.height * cy) + "px";
                // console.log(result.offsetWidth + "," + lens.offsetWidth);
                /*execute a function when someone moves the cursor over the image, or the lens:*/
                lens.addEventListener("mousemove", moveLens);
                img.addEventListener("mousemove", moveLens);
                /*and also for touch screens:*/
                lens.addEventListener("touchmove", moveLens);
                img.addEventListener("touchmove", moveLens);

                function moveLens(e) {
                    var pos, x, y;
                    /*prevent any other actions that may occur when moving over the image:*/
                    e.preventDefault();
                    /*get the cursor's x and y positions:*/
                    pos = getCursorPos(e);
                    /*calculate the position of the lens:*/
                    x = pos.x - (lens.offsetWidth / 2);
                    y = pos.y - (lens.offsetHeight / 2);

                    /*prevent the lens from being positioned outside the image:*/
                    if (x > img.width - lens.offsetWidth) {
                        x = img.width - lens.offsetWidth;

                    }
                    if (x < 0) {
                        x = 0;
                    }
                    if (y > img.height - lens.offsetHeight) {
                        y = img.height - lens.offsetHeight;

                    }
                    if (y < 0) {
                        y = 0;
                    }
                    /*set the position of the lens:*/
                    lens.style.left = x + 16 + "px";
                    lens.style.top = y + 16 + "px";
                    /*display what the lens "sees":*/

                    result.style.backgroundPosition = "-" + (x * cx) + "px -" + (y * cy) + "px";
                }

                function getCursorPos(e) {
                    var a, x = 0,
                        y = 0;
                    e = e || window.event;
                    /*get the x and y positions of the image:*/
                    a = img.getBoundingClientRect();
                    /*calculate the cursor's x and y coordinates, relative to the image:*/
                    x = e.pageX - a.left;
                    y = e.pageY - a.top;
                    /*consider any page scrolling:*/
                    x = x - window.pageXOffset;
                    y = y - window.pageYOffset;
                    return {
                        x: x,
                        y: y
                    };
                }
            }
        }


    });
}
;;